#!/bin/sh

name="gnokii"
title="gnokii"
package="gnokii"
version="0.5.0pre4"
build="0"
noarch="n"
build_info="Standard build."

info="A tool set for Nokia and other GSM mobile phones."
desc="gnokii is a Linux/Unix tool suite for Nokia (GSM) mobile
phones. It provides a virtual Hayes-AT compatible modem to
allow data calls to be made to a modem or ISP as well as
providing a phone book, and SMS and ringtone management.
Phones supported include recent models such as the 6310,
6510, and 6210, and older phones like the 3110, 3810, 8110,
5110, 6110 and their derivatives."
category="tools/communications"
environment="x11/gtk"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="ABOUT-NLS,COPYING,COPYRIGHT,ChangeLog,INSTALL,MAINTAINERS,TODO,VERSION"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://ftp.gnokii.org/pub/gnokii/$name-$version.tar.gz

configure_option --prefix=/usr
configure_option --enable-security

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: gnokii.builder,v $
# Revision 1.3  2003/01/11 16:57:17  swiergot
# - Remove debugs.
# - Build again.
#
# Revision 1.2  2003/01/11 16:49:23  swiergot
# - Debug: check environmental variables.
#
# Revision 1.1  2003/01/11 16:20:41  swiergot
# - Initial release.
#
